{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "interfaceId": {
          "pattern": "^[0-9a-f]{8,32}$",
          "type": "string"
        }
      },
      "required": [
        "interfaceId"
      ],
      "type": "object"
    },
    "status": {
      "type": "object"
    }
  },
  "required": [
    "spec"
  ],
  "type": "object"
}
